<?php
ob_start();
?>
<a href="/logout">&laquo; logout</a>
<a href="/random" style="float:right;">random project &raquo;</a>
<br>
<h1><a href="<?=$html_url;?>"><?=$full_name;?></a></h1>
<img src="<?=$avatar_url;?>" class="repo-ava">
<p><em><?=$description;?></em></p>

<p><strong>Activity stats:</strong></p>
<p id="activity">Loading...</p>

<p><strong>Top contributors:</strong></p>
<table border="1">
	<thead>
		<tr>
			<th>&nbsp;</th>
			<th>user</th>
			<th>number of contributions</th>
			<th>oldest commit<br><em>(in project)</em></th>
			<th>newest commit<br><em>(in project)</em></th>
		</tr>
	</thead>
	<tbody id="contributors">
		<tr><td colspan="5">Loading...</td></tr>
	</tbody>
</table>
<script>

	let contributors = document.getElementById('contributors');
	fetch('/contributors')
		.then(response => response.text())
		.then(html => contributors.innerHTML = html)
		.catch((error) => {
			contributors.innerHTML = '<tr><td colspan="5">oh no :/ ' + error + '</tr></tr>';
		});

	let activity = document.getElementById('activity');
	fetch('/activity')
		.then(response => response.text())
		.then(html => activity.innerHTML = html)
		.catch((error) => activity.innerHTML = 'oh no :/ ' + error);

</script>
<?php
$PAGE['contents'] = ob_get_clean();
$PAGE['title'] = "Github report for project {$full_name}";
require_once get_layout();